validadores 1.0.9 copy "validadores: ^1.0.9" to clipboard
validadores: ^1.0.9 copied to clipboard

Validadores para formulários PT-BR, validações como CPF,CNPJ,OBRIGATORIO,EMAIL,IGUAL,Valor Mínimo,Valor Máximo,Tamanho Mínimo,Tamanho Máximo.

Validador (PT-BR) #

Este projeto tem como objetivo principal aplicação de estudos Flutter, e colaborar com a comunidade.

Instalação #

dependencies:
  validadores: ^1.0.8

#Exemplo de utilização.


Validador()
     .add(Validar.CPF, msg: 'CPF Inválido')
     .add(Validar.OBRIGATORIO, msg: 'Campo obrigatório')
     .minLength(11)
     .maxLength(11)
     .valido(value,clearNoNumber: true);`
   

            @TextFormField(
                  validator: (value) {
                    // Aqui entram as validações
                    return Validador()
                        .add(Validar.CPF, msg: 'CPF Inválido')
                        .add(Validar.OBRIGATORIO, msg: 'Campo obrigatório')
                        .minLength(11)
                        .maxLength(11)
                        .valido(value,clearNoNumber: true);

                  },
                  decoration: InputDecoration(
                    helperText: 'informe seu cpf',
                    hintText: '123.456.789-00',
                    labelText: 'CPF'
                  ),
                ),

Validadores #

  • CPF
  • CNPJ
  • OBRIGATORIO
  • EMAIL
  • IGUAL
  • Valor Mínimo
  • Valor Máximo
  • Tamanho Mínimo
  • Tamanho Máximo
23
likes
120
pub points
87%
popularity

Publisher

verified publisher365apps.com.br

Validadores para formulários PT-BR, validações como CPF,CNPJ,OBRIGATORIO,EMAIL,IGUAL,Valor Mínimo,Valor Máximo,Tamanho Mínimo,Tamanho Máximo.

Repository (GitHub)
View/report issues

Documentation

API reference

License

MIT (LICENSE)

Dependencies

flutter

More

Packages that depend on validadores